MIX_SetTrackGroup(3)

NAME
MIX_SetTrackGroup - Assign a track to a mixing group.

SYNOPSIS
#include <SDL3_mixer/SDL_mixer.h>

bool MIX_SetTrackGroup(MIX_Track *track, MIX_Group *group);

DESCRIPTION
All tracks in a group are mixed together, and that output is made available to the app before it is mixed into the final output.

Tracks can only be in one group at a time, and the track and group must have been created on the same MIX_Mixer.

Setting a track to a NULL group will remove it from any app-created groups, and reassign it to the mixer's internal default group.

FUNCTION PARAMETERS

track
    the track to set mixing group assignment.

group
    the new mixing group to assign to. May be NULL.

RETURN VALUE
Returns true on success or false on failure; call SDL_GetError() for more information.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL_mixer 3.0.0.

SEE ALSO
MIX_CreateGroup(3), MIX_SetGroupPostMixCallback(3)